/* Hey EMACS -*- linux-c -*- */
/* $Id: export1.h 4389 2009-10-07 11:38:20Z kevin $ */

/*  libcalccables - link cable library, a part of the CalcForge project
 *  Copyright (C) 1999-2005  Romain Lievin
 *  Copyright (C) 2009  Kevin Kofler
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CALCCABLES_EXPORT_H
#define CALCCABLES_EXPORT_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* 
	Calling convention: default 
*/
# define CALCFORGE_CALL

/* 
	Symbols exporting 
*/
#if defined(HAVE_FVISIBILITY)	// GCC 4.0 has introduced the -fvisibility flag (similar to declspec)
# define CALCCABLES_EXPORT	__attribute__ ((visibility("default")))

#elif defined(__WIN32__)
# if defined(CALCCABLES_EXPORTS)	// defined by the makefile
#  define CALCCABLES_EXPORT __declspec(dllexport)
# else
#  define CALCCABLES_EXPORT __declspec(dllimport)
# endif

#else
# define CALCCABLES_EXPORT				// default
#endif

#ifdef __cplusplus
}
#endif

/* 
	Symbols deprecating
*/
#ifndef CALCFORGE_DEPRECATED
# ifdef __GNUC__
#  if (__GNUC__>3) || (__GNUC__==3 && __GNUC_MINOR__>=3)
#   define CALCFORGE_DEPRECATED __attribute__((deprecated))
#  else /* not GCC >= 3.3 */
#   define CALCFORGE_DEPRECATED
#  endif /* GCC >= 3.3 */
# else /* not __GNUC__ */
#  ifdef _MSC_VER
#   if _MSC_VER >= 1300
#    define CALCFORGE_DEPRECATED __declspec((deprecated))
#   else /* not _MSC_VER >= 1300 */
#    define CALCFORGE_DEPRECATED
#   endif /* _MSC_VER >= 1300 */
#  else /* not _MSC_VER */
#   define CALCFORGE_DEPRECATED
#  endif /* _MSC_VER */
# endif /* __GNUC__ */
#endif /* CALCFORGE_DEPRECATED */

#endif
